catalog:
  title: CSRA test if opencv can e imported in python

templates:
- runnable
- base

variables:
  description: LSP-CSRA Integration Test for opencv python module
  keywords:
  - python
  - testing
  - integrations tests
  maintainer: Viktor Richter
  recipe.maintainer:
  - vrichter@techfak.uni-bielefeld.de
  runnable: true
  access: private

  branches:
  - master

  shell.command: |
    #!/bin/bash
    source "${toolkit.dir}/bin/source-env.sh"
    env_python
    message="$(python -c "import cv2" 2>&1)"
    returnval=$?
    if [ "$returnval" == "0" ]; then
      echo "SUCCESS: opencv module imported in pyhton."
    else
      echo "ERROR: could not import opencv in pyton."
      echo -e "MESSAGE: \n$message"
    fi
    exit $returnval

